static void loc_opcode_nop(void)
{
  byte bOpCode = nop;
   
}
static void loc_opcode_ld_bc_word(void)
{
  byte bOpCode = ld_bc_word;
  z80.BC.b.l = read_mem(_PC++); z80.BC.b.h = read_mem(_PC++);  
}
static void loc_opcode_ld_mbc_a(void)
{
  byte bOpCode = ld_mbc_a;
  write_mem(_BC, _A);  
}
static void loc_opcode_inc_bc(void)
{
  byte bOpCode = inc_bc;
  _BC++; iWSAdjust++;  
}
static void loc_opcode_inc_b(void)
{
  byte bOpCode = inc_b;
  INC(_B);  
}
static void loc_opcode_dec_b(void)
{
  byte bOpCode = dec_b;
  DEC(_B);  
}
static void loc_opcode_ld_b_byte(void)
{
  byte bOpCode = ld_b_byte;
  _B = read_mem(_PC++);  
}
static void loc_opcode_rlca(void)
{
  byte bOpCode = rlca;
  RLCA;  
}
static void loc_opcode_ex_af_af(void)
{
  byte bOpCode = ex_af_af;
  EX(z80.AF, z80.AFx);  
}
static void loc_opcode_add_hl_bc(void)
{
  byte bOpCode = add_hl_bc;
  ADD16(HL, BC);  
}
static void loc_opcode_ld_a_mbc(void)
{
  byte bOpCode = ld_a_mbc;
  _A = read_mem(_BC);  
}
static void loc_opcode_dec_bc(void)
{
  byte bOpCode = dec_bc;
  _BC--; iWSAdjust++;  
}
static void loc_opcode_inc_c(void)
{
  byte bOpCode = inc_c;
  INC(_C);  
}
static void loc_opcode_dec_c(void)
{
  byte bOpCode = dec_c;
  DEC(_C);  
}
static void loc_opcode_ld_c_byte(void)
{
  byte bOpCode = ld_c_byte;
  _C = read_mem(_PC++);  
}
static void loc_opcode_rrca(void)
{
  byte bOpCode = rrca;
  RRCA;  
}
static void loc_opcode_djnz(void)
{
  byte bOpCode = djnz;
  if (--_B) { iCycleCount += cc_ex[bOpCode]; JR } else { _PC++; }  
}
static void loc_opcode_ld_de_word(void)
{
  byte bOpCode = ld_de_word;
  z80.DE.b.l = read_mem(_PC++); z80.DE.b.h = read_mem(_PC++);  
}
static void loc_opcode_ld_mde_a(void)
{
  byte bOpCode = ld_mde_a;
  write_mem(_DE, _A);  
}
static void loc_opcode_inc_de(void)
{
  byte bOpCode = inc_de;
  _DE++; iWSAdjust++;  
}
static void loc_opcode_inc_d(void)
{
  byte bOpCode = inc_d;
  INC(_D);  
}
static void loc_opcode_dec_d(void)
{
  byte bOpCode = dec_d;
  DEC(_D);  
}
static void loc_opcode_ld_d_byte(void)
{
  byte bOpCode = ld_d_byte;
  _D = read_mem(_PC++);  
}
static void loc_opcode_rla(void)
{
  byte bOpCode = rla;
  RLA;  
}
static void loc_opcode_jr(void)
{
  byte bOpCode = jr;
  JR;  
}
static void loc_opcode_add_hl_de(void)
{
  byte bOpCode = add_hl_de;
  ADD16(HL, DE);  
}
static void loc_opcode_ld_a_mde(void)
{
  byte bOpCode = ld_a_mde;
  _A = read_mem(_DE);  
}
static void loc_opcode_dec_de(void)
{
  byte bOpCode = dec_de;
  _DE--; iWSAdjust++;  
}
static void loc_opcode_inc_e(void)
{
  byte bOpCode = inc_e;
  INC(_E);  
}
static void loc_opcode_dec_e(void)
{
  byte bOpCode = dec_e;
  DEC(_E);  
}
static void loc_opcode_ld_e_byte(void)
{
  byte bOpCode = ld_e_byte;
  _E = read_mem(_PC++);  
}
static void loc_opcode_rra(void)
{
  byte bOpCode = rra;
  RRA;  
}
static void loc_opcode_jr_nz(void)
{
  byte bOpCode = jr_nz;
  if (!(_F & Zflag)) { iCycleCount += cc_ex[bOpCode]; JR } else { _PC++; };  
}
static void loc_opcode_ld_hl_word(void)
{
  byte bOpCode = ld_hl_word;
  z80.HL.b.l = read_mem(_PC++); z80.HL.b.h = read_mem(_PC++);  
}
static void loc_opcode_ld_mword_hl(void)
{
  byte bOpCode = ld_mword_hl;
  LDMEM_16(HL);  
}
static void loc_opcode_inc_hl(void)
{
  byte bOpCode = inc_hl;
  _HL++; iWSAdjust++;  
}
static void loc_opcode_inc_h(void)
{
  byte bOpCode = inc_h;
  INC(_H);  
}
static void loc_opcode_dec_h(void)
{
  byte bOpCode = dec_h;
  DEC(_H);  
}
static void loc_opcode_ld_h_byte(void)
{
  byte bOpCode = ld_h_byte;
  _H = read_mem(_PC++);  
}
static void loc_opcode_daa(void)
{
  byte bOpCode = daa;
  DAA;  
}
static void loc_opcode_jr_z(void)
{
  byte bOpCode = jr_z;
  if (_F & Zflag) { iCycleCount += cc_ex[bOpCode]; JR } else { _PC++; };  
}
static void loc_opcode_add_hl_hl(void)
{
  byte bOpCode = add_hl_hl;
  ADD16(HL, HL);  
}
static void loc_opcode_ld_hl_mword(void)
{
  byte bOpCode = ld_hl_mword;
  LD16_MEM(HL);  
}
static void loc_opcode_dec_hl(void)
{
  byte bOpCode = dec_hl;
  _HL--; iWSAdjust++;  
}
static void loc_opcode_inc_l(void)
{
  byte bOpCode = inc_l;
  INC(_L);  
}
static void loc_opcode_dec_l(void)
{
  byte bOpCode = dec_l;
  DEC(_L);  
}
static void loc_opcode_ld_l_byte(void)
{
  byte bOpCode = ld_l_byte;
  _L = read_mem(_PC++);  
}
static void loc_opcode_cpl(void)
{
  byte bOpCode = cpl;
  _A ^= 0xff; _F = (_F & (Sflag | Zflag | Pflag | Cflag)) | Hflag | Nflag | (_A & Xflags);  
}
static void loc_opcode_jr_nc(void)
{
  byte bOpCode = jr_nc;
  if (!(_F & Cflag)) { iCycleCount += cc_ex[bOpCode]; JR } else { _PC++; };  
}
static void loc_opcode_ld_sp_word(void)
{
  byte bOpCode = ld_sp_word;
  z80.SP.b.l = read_mem(_PC++); z80.SP.b.h = read_mem(_PC++);  
}
static void loc_opcode_ld_mword_a(void)
{
  byte bOpCode = ld_mword_a;
  { reg_pair addr; addr.b.l = read_mem(_PC++); addr.b.h = read_mem(_PC++); write_mem(addr.w.l, _A); }  
}
static void loc_opcode_inc_sp(void)
{
  byte bOpCode = inc_sp;
  _SP++; iWSAdjust++;  
}
static void loc_opcode_inc_mhl(void)
{
  byte bOpCode = inc_mhl;
  { byte b = read_mem(_HL); INC(b); write_mem(_HL, b); }  
}
static void loc_opcode_dec_mhl(void)
{
  byte bOpCode = dec_mhl;
  { byte b = read_mem(_HL); DEC(b); write_mem(_HL, b); }  
}
static void loc_opcode_ld_mhl_byte(void)
{
  byte bOpCode = ld_mhl_byte;
  { byte b = read_mem(_PC++); write_mem(_HL, b); }  
}
static void loc_opcode_scf(void)
{
  byte bOpCode = scf;
  _F = (_F & (Sflag | Zflag | Pflag)) | Cflag | (_A & Xflags);  
}
static void loc_opcode_jr_c(void)
{
  byte bOpCode = jr_c;
  if (_F & Cflag) { iCycleCount += cc_ex[bOpCode]; JR } else { _PC++; };  
}
static void loc_opcode_add_hl_sp(void)
{
  byte bOpCode = add_hl_sp;
  ADD16(HL, SP);  
}
static void loc_opcode_ld_a_mword(void)
{
  byte bOpCode = ld_a_mword;
  { reg_pair addr; addr.b.l = read_mem(_PC++); addr.b.h = read_mem(_PC++); _A = read_mem(addr.w.l); }  
}
static void loc_opcode_dec_sp(void)
{
  byte bOpCode = dec_sp;
  _SP--; iWSAdjust++;  
}
static void loc_opcode_inc_a(void)
{
  byte bOpCode = inc_a;
  INC(_A);  
}
static void loc_opcode_dec_a(void)
{
  byte bOpCode = dec_a;
  DEC(_A);  
}
static void loc_opcode_ld_a_byte(void)
{
  byte bOpCode = ld_a_byte;
  _A = read_mem(_PC++);  
}
static void loc_opcode_ccf(void)
{
  byte bOpCode = ccf;
  _F = ((_F & (Sflag | Zflag | Pflag | Cflag)) | ((_F & CF) << 4) | (_A & Xflags)) ^ CF;  
}
static void loc_opcode_ld_b_b(void)
{
  byte bOpCode = ld_b_b;
   
}
static void loc_opcode_ld_b_c(void)
{
  byte bOpCode = ld_b_c;
  _B = _C;  
}
static void loc_opcode_ld_b_d(void)
{
  byte bOpCode = ld_b_d;
  _B = _D;  
}
static void loc_opcode_ld_b_e(void)
{
  byte bOpCode = ld_b_e;
  _B = _E;  
}
static void loc_opcode_ld_b_h(void)
{
  byte bOpCode = ld_b_h;
  _B = _H;  
}
static void loc_opcode_ld_b_l(void)
{
  byte bOpCode = ld_b_l;
  _B = _L;  
}
static void loc_opcode_ld_b_mhl(void)
{
  byte bOpCode = ld_b_mhl;
  _B = read_mem(_HL);  
}
static void loc_opcode_ld_b_a(void)
{
  byte bOpCode = ld_b_a;
  _B = _A;  
}
static void loc_opcode_ld_c_b(void)
{
  byte bOpCode = ld_c_b;
  _C = _B;  
}
static void loc_opcode_ld_c_c(void)
{
  byte bOpCode = ld_c_c;
   
}
static void loc_opcode_ld_c_d(void)
{
  byte bOpCode = ld_c_d;
  _C = _D;  
}
static void loc_opcode_ld_c_e(void)
{
  byte bOpCode = ld_c_e;
  _C = _E;  
}
static void loc_opcode_ld_c_h(void)
{
  byte bOpCode = ld_c_h;
  _C = _H;  
}
static void loc_opcode_ld_c_l(void)
{
  byte bOpCode = ld_c_l;
  _C = _L;  
}
static void loc_opcode_ld_c_mhl(void)
{
  byte bOpCode = ld_c_mhl;
  _C = read_mem(_HL);  
}
static void loc_opcode_ld_c_a(void)
{
  byte bOpCode = ld_c_a;
  _C = _A;  
}
static void loc_opcode_ld_d_b(void)
{
  byte bOpCode = ld_d_b;
  _D = _B;  
}
static void loc_opcode_ld_d_c(void)
{
  byte bOpCode = ld_d_c;
  _D = _C;  
}
static void loc_opcode_ld_d_d(void)
{
  byte bOpCode = ld_d_d;
   
}
static void loc_opcode_ld_d_e(void)
{
  byte bOpCode = ld_d_e;
  _D = _E;  
}
static void loc_opcode_ld_d_h(void)
{
  byte bOpCode = ld_d_h;
  _D = _H;  
}
static void loc_opcode_ld_d_l(void)
{
  byte bOpCode = ld_d_l;
  _D = _L;  
}
static void loc_opcode_ld_d_mhl(void)
{
  byte bOpCode = ld_d_mhl;
  _D = read_mem(_HL);  
}
static void loc_opcode_ld_d_a(void)
{
  byte bOpCode = ld_d_a;
  _D = _A;  
}
static void loc_opcode_ld_e_b(void)
{
  byte bOpCode = ld_e_b;
  _E = _B;  
}
static void loc_opcode_ld_e_c(void)
{
  byte bOpCode = ld_e_c;
  _E = _C;  
}
static void loc_opcode_ld_e_d(void)
{
  byte bOpCode = ld_e_d;
  _E = _D;  
}
static void loc_opcode_ld_e_e(void)
{
  byte bOpCode = ld_e_e;
   
}
static void loc_opcode_ld_e_h(void)
{
  byte bOpCode = ld_e_h;
  _E = _H;  
}
static void loc_opcode_ld_e_l(void)
{
  byte bOpCode = ld_e_l;
  _E = _L;  
}
static void loc_opcode_ld_e_mhl(void)
{
  byte bOpCode = ld_e_mhl;
  _E = read_mem(_HL);  
}
static void loc_opcode_ld_e_a(void)
{
  byte bOpCode = ld_e_a;
  _E = _A;  
}
static void loc_opcode_ld_h_b(void)
{
  byte bOpCode = ld_h_b;
  _H = _B;  
}
static void loc_opcode_ld_h_c(void)
{
  byte bOpCode = ld_h_c;
  _H = _C;  
}
static void loc_opcode_ld_h_d(void)
{
  byte bOpCode = ld_h_d;
  _H = _D;  
}
static void loc_opcode_ld_h_e(void)
{
  byte bOpCode = ld_h_e;
  _H = _E;  
}
static void loc_opcode_ld_h_h(void)
{
  byte bOpCode = ld_h_h;
   
}
static void loc_opcode_ld_h_l(void)
{
  byte bOpCode = ld_h_l;
  _H = _L;  
}
static void loc_opcode_ld_h_mhl(void)
{
  byte bOpCode = ld_h_mhl;
  _H = read_mem(_HL);  
}
static void loc_opcode_ld_h_a(void)
{
  byte bOpCode = ld_h_a;
  _H = _A;  
}
static void loc_opcode_ld_l_b(void)
{
  byte bOpCode = ld_l_b;
  _L = _B;  
}
static void loc_opcode_ld_l_c(void)
{
  byte bOpCode = ld_l_c;
  _L = _C;  
}
static void loc_opcode_ld_l_d(void)
{
  byte bOpCode = ld_l_d;
  _L = _D;  
}
static void loc_opcode_ld_l_e(void)
{
  byte bOpCode = ld_l_e;
  _L = _E;  
}
static void loc_opcode_ld_l_h(void)
{
  byte bOpCode = ld_l_h;
  _L = _H;  
}
static void loc_opcode_ld_l_l(void)
{
  byte bOpCode = ld_l_l;
   
}
static void loc_opcode_ld_l_mhl(void)
{
  byte bOpCode = ld_l_mhl;
  _L = read_mem(_HL);  
}
static void loc_opcode_ld_l_a(void)
{
  byte bOpCode = ld_l_a;
  _L = _A;  
}
static void loc_opcode_ld_mhl_b(void)
{
  byte bOpCode = ld_mhl_b;
  write_mem(_HL, _B);  
}
static void loc_opcode_ld_mhl_c(void)
{
  byte bOpCode = ld_mhl_c;
  write_mem(_HL, _C);  
}
static void loc_opcode_ld_mhl_d(void)
{
  byte bOpCode = ld_mhl_d;
  write_mem(_HL, _D);  
}
static void loc_opcode_ld_mhl_e(void)
{
  byte bOpCode = ld_mhl_e;
  write_mem(_HL, _E);  
}
static void loc_opcode_ld_mhl_h(void)
{
  byte bOpCode = ld_mhl_h;
  write_mem(_HL, _H);  
}
static void loc_opcode_ld_mhl_l(void)
{
  byte bOpCode = ld_mhl_l;
  write_mem(_HL, _L);  
}
static void loc_opcode_halt(void)
{
  byte bOpCode = halt;
  _HALT = 1; _PC--;  
}
static void loc_opcode_ld_mhl_a(void)
{
  byte bOpCode = ld_mhl_a;
  write_mem(_HL, _A);  
}
static void loc_opcode_ld_a_b(void)
{
  byte bOpCode = ld_a_b;
  _A = _B;  
}
static void loc_opcode_ld_a_c(void)
{
  byte bOpCode = ld_a_c;
  _A = _C;  
}
static void loc_opcode_ld_a_d(void)
{
  byte bOpCode = ld_a_d;
  _A = _D;  
}
static void loc_opcode_ld_a_e(void)
{
  byte bOpCode = ld_a_e;
  _A = _E;  
}
static void loc_opcode_ld_a_h(void)
{
  byte bOpCode = ld_a_h;
  _A = _H;  
}
static void loc_opcode_ld_a_l(void)
{
  byte bOpCode = ld_a_l;
  _A = _L;  
}
static void loc_opcode_ld_a_mhl(void)
{
  byte bOpCode = ld_a_mhl;
  _A = read_mem(_HL);  
}
static void loc_opcode_ld_a_a(void)
{
  byte bOpCode = ld_a_a;
   
}
static void loc_opcode_add_b(void)
{
  byte bOpCode = add_b;
  ADD(_B);  
}
static void loc_opcode_add_c(void)
{
  byte bOpCode = add_c;
  ADD(_C);  
}
static void loc_opcode_add_d(void)
{
  byte bOpCode = add_d;
  ADD(_D);  
}
static void loc_opcode_add_e(void)
{
  byte bOpCode = add_e;
  ADD(_E);  
}
static void loc_opcode_add_h(void)
{
  byte bOpCode = add_h;
  ADD(_H);  
}
static void loc_opcode_add_l(void)
{
  byte bOpCode = add_l;
  ADD(_L);  
}
static void loc_opcode_add_mhl(void)
{
  byte bOpCode = add_mhl;
  ADD(read_mem(_HL));  
}
static void loc_opcode_add_a(void)
{
  byte bOpCode = add_a;
  ADD(_A);  
}
static void loc_opcode_adc_b(void)
{
  byte bOpCode = adc_b;
  ADC(_B);  
}
static void loc_opcode_adc_c(void)
{
  byte bOpCode = adc_c;
  ADC(_C);  
}
static void loc_opcode_adc_d(void)
{
  byte bOpCode = adc_d;
  ADC(_D);  
}
static void loc_opcode_adc_e(void)
{
  byte bOpCode = adc_e;
  ADC(_E);  
}
static void loc_opcode_adc_h(void)
{
  byte bOpCode = adc_h;
  ADC(_H);  
}
static void loc_opcode_adc_l(void)
{
  byte bOpCode = adc_l;
  ADC(_L);  
}
static void loc_opcode_adc_mhl(void)
{
  byte bOpCode = adc_mhl;
  ADC(read_mem(_HL));  
}
static void loc_opcode_adc_a(void)
{
  byte bOpCode = adc_a;
  ADC(_A);  
}
static void loc_opcode_sub_b(void)
{
  byte bOpCode = sub_b;
  SUB(_B);  
}
static void loc_opcode_sub_c(void)
{
  byte bOpCode = sub_c;
  SUB(_C);  
}
static void loc_opcode_sub_d(void)
{
  byte bOpCode = sub_d;
  SUB(_D);  
}
static void loc_opcode_sub_e(void)
{
  byte bOpCode = sub_e;
  SUB(_E);  
}
static void loc_opcode_sub_h(void)
{
  byte bOpCode = sub_h;
  SUB(_H);  
}
static void loc_opcode_sub_l(void)
{
  byte bOpCode = sub_l;
  SUB(_L);  
}
static void loc_opcode_sub_mhl(void)
{
  byte bOpCode = sub_mhl;
  SUB(read_mem(_HL));  
}
static void loc_opcode_sub_a(void)
{
  byte bOpCode = sub_a;
  SUB(_A);  
}
static void loc_opcode_sbc_b(void)
{
  byte bOpCode = sbc_b;
  SBC(_B);  
}
static void loc_opcode_sbc_c(void)
{
  byte bOpCode = sbc_c;
  SBC(_C);  
}
static void loc_opcode_sbc_d(void)
{
  byte bOpCode = sbc_d;
  SBC(_D);  
}
static void loc_opcode_sbc_e(void)
{
  byte bOpCode = sbc_e;
  SBC(_E);  
}
static void loc_opcode_sbc_h(void)
{
  byte bOpCode = sbc_h;
  SBC(_H);  
}
static void loc_opcode_sbc_l(void)
{
  byte bOpCode = sbc_l;
  SBC(_L);  
}
static void loc_opcode_sbc_mhl(void)
{
  byte bOpCode = sbc_mhl;
  SBC(read_mem(_HL));  
}
static void loc_opcode_sbc_a(void)
{
  byte bOpCode = sbc_a;
  SBC(_A);  
}
static void loc_opcode_and_b(void)
{
  byte bOpCode = and_b;
  AND(_B);  
}
static void loc_opcode_and_c(void)
{
  byte bOpCode = and_c;
  AND(_C);  
}
static void loc_opcode_and_d(void)
{
  byte bOpCode = and_d;
  AND(_D);  
}
static void loc_opcode_and_e(void)
{
  byte bOpCode = and_e;
  AND(_E);  
}
static void loc_opcode_and_h(void)
{
  byte bOpCode = and_h;
  AND(_H);  
}
static void loc_opcode_and_l(void)
{
  byte bOpCode = and_l;
  AND(_L);  
}
static void loc_opcode_and_mhl(void)
{
  byte bOpCode = and_mhl;
  AND(read_mem(_HL));  
}
static void loc_opcode_and_a(void)
{
  byte bOpCode = and_a;
  AND(_A);  
}
static void loc_opcode_xor_b(void)
{
  byte bOpCode = xor_b;
  XOR(_B);  
}
static void loc_opcode_xor_c(void)
{
  byte bOpCode = xor_c;
  XOR(_C);  
}
static void loc_opcode_xor_d(void)
{
  byte bOpCode = xor_d;
  XOR(_D);  
}
static void loc_opcode_xor_e(void)
{
  byte bOpCode = xor_e;
  XOR(_E);  
}
static void loc_opcode_xor_h(void)
{
  byte bOpCode = xor_h;
  XOR(_H);  
}
static void loc_opcode_xor_l(void)
{
  byte bOpCode = xor_l;
  XOR(_L);  
}
static void loc_opcode_xor_mhl(void)
{
  byte bOpCode = xor_mhl;
  XOR(read_mem(_HL));  
}
static void loc_opcode_xor_a(void)
{
  byte bOpCode = xor_a;
  XOR(_A);  
}
static void loc_opcode_or_b(void)
{
  byte bOpCode = or_b;
  OR(_B);  
}
static void loc_opcode_or_c(void)
{
  byte bOpCode = or_c;
  OR(_C);  
}
static void loc_opcode_or_d(void)
{
  byte bOpCode = or_d;
  OR(_D);  
}
static void loc_opcode_or_e(void)
{
  byte bOpCode = or_e;
  OR(_E);  
}
static void loc_opcode_or_h(void)
{
  byte bOpCode = or_h;
  OR(_H);  
}
static void loc_opcode_or_l(void)
{
  byte bOpCode = or_l;
  OR(_L);  
}
static void loc_opcode_or_mhl(void)
{
  byte bOpCode = or_mhl;
  OR(read_mem(_HL));  
}
static void loc_opcode_or_a(void)
{
  byte bOpCode = or_a;
  OR(_A);  
}
static void loc_opcode_cp_b(void)
{
  byte bOpCode = cp_b;
  CP(_B);  
}
static void loc_opcode_cp_c(void)
{
  byte bOpCode = cp_c;
  CP(_C);  
}
static void loc_opcode_cp_d(void)
{
  byte bOpCode = cp_d;
  CP(_D);  
}
static void loc_opcode_cp_e(void)
{
  byte bOpCode = cp_e;
  CP(_E);  
}
static void loc_opcode_cp_h(void)
{
  byte bOpCode = cp_h;
  CP(_H);  
}
static void loc_opcode_cp_l(void)
{
  byte bOpCode = cp_l;
  CP(_L);  
}
static void loc_opcode_cp_mhl(void)
{
  byte bOpCode = cp_mhl;
  CP(read_mem(_HL));  
}
static void loc_opcode_cp_a(void)
{
  byte bOpCode = cp_a;
  CP(_A);  
}
static void loc_opcode_ret_nz(void)
{
  byte bOpCode = ret_nz;
  if (!(_F & Zflag)) { iCycleCount += cc_ex[bOpCode]; RET } else { iWSAdjust++; } ;  
}
static void loc_opcode_pop_bc(void)
{
  byte bOpCode = pop_bc;
  POP(BC);  
}
static void loc_opcode_jp_nz(void)
{
  byte bOpCode = jp_nz;
  if (!(_F & Zflag)) { JP } else { _PC += 2; };  
}
static void loc_opcode_jp(void)
{
  byte bOpCode = jp;
  JP;  
}
static void loc_opcode_call_nz(void)
{
  byte bOpCode = call_nz;
  if (!(_F & Zflag)) { iCycleCount += cc_ex[bOpCode]; CALL } else { _PC += 2; }  
}
static void loc_opcode_push_bc(void)
{
  byte bOpCode = push_bc;
  PUSH(BC);  
}
static void loc_opcode_add_byte(void)
{
  byte bOpCode = add_byte;
  ADD(read_mem(_PC++));  
}
static void loc_opcode_rst00(void)
{
  byte bOpCode = rst00;
  RST(0x0000);  
}
static void loc_opcode_ret_z(void)
{
  byte bOpCode = ret_z;
  if (_F & Zflag) { iCycleCount += cc_ex[bOpCode]; RET } else { iWSAdjust++; } ;  
}
static void loc_opcode_ret(void)
{
  byte bOpCode = ret;
  RET;  
}
static void loc_opcode_jp_z(void)
{
  byte bOpCode = jp_z;
  if (_F & Zflag) { JP } else { _PC += 2; };  
}
static void loc_opcode_pfx_cb(void)
{
  byte bOpCode = pfx_cb;
  z80_pfx_cb();  
}
static void loc_opcode_call_z(void)
{
  byte bOpCode = call_z;
  if (_F & Zflag) { iCycleCount += cc_ex[bOpCode]; CALL } else { _PC += 2; }  
}
static void loc_opcode_call(void)
{
  byte bOpCode = call;
  CALL;  
}
static void loc_opcode_adc_byte(void)
{
  byte bOpCode = adc_byte;
  ADC(read_mem(_PC++));  
}
static void loc_opcode_rst08(void)
{
  byte bOpCode = rst08;
  RST(0x0008);  
}
static void loc_opcode_ret_nc(void)
{
  byte bOpCode = ret_nc;
  if (!(_F & Cflag)) { iCycleCount += cc_ex[bOpCode]; RET } else { iWSAdjust++; } ;  
}
static void loc_opcode_pop_de(void)
{
  byte bOpCode = pop_de;
  POP(DE);  
}
static void loc_opcode_jp_nc(void)
{
  byte bOpCode = jp_nc;
  if (!(_F & Cflag)) { JP } else { _PC += 2; };  
}
static void loc_opcode_outa(void)
{
  byte bOpCode = outa;
  { z80_wait_states iCycleCount = Oa_;} { reg_pair p; p.b.l = read_mem(_PC++); p.b.h = _A; z80_OUT_handler(p, _A); }  
}
static void loc_opcode_call_nc(void)
{
  byte bOpCode = call_nc;
  if (!(_F & Cflag)) { iCycleCount += cc_ex[bOpCode]; CALL } else { _PC += 2; }  
}
static void loc_opcode_push_de(void)
{
  byte bOpCode = push_de;
  PUSH(DE);  
}
static void loc_opcode_sub_byte(void)
{
  byte bOpCode = sub_byte;
  SUB(read_mem(_PC++));  
}
static void loc_opcode_rst10(void)
{
  byte bOpCode = rst10;
  RST(0x0010);  
}
static void loc_opcode_ret_c(void)
{
  byte bOpCode = ret_c;
  if (_F & Cflag) { iCycleCount += cc_ex[bOpCode]; RET } else { iWSAdjust++; } ;  
}
static void loc_opcode_exx(void)
{
  byte bOpCode = exx;
  EXX;  
}
static void loc_opcode_jp_c(void)
{
  byte bOpCode = jp_c;
  if (_F & Cflag) { JP } else { _PC += 2; };  
}
static void loc_opcode_ina(void)
{
  byte bOpCode = ina;
  { z80_wait_states iCycleCount = Ia_;} { reg_pair p; p.b.l = read_mem(_PC++); p.b.h = _A; _A = z80_IN_handler(p); }  
}
static void loc_opcode_call_c(void)
{
  byte bOpCode = call_c;
  if (_F & Cflag) { iCycleCount += cc_ex[bOpCode]; CALL } else { _PC += 2; }  
}
static void loc_opcode_pfx_dd(void)
{
  byte bOpCode = pfx_dd;
  z80_pfx_dd();  
}
static void loc_opcode_sbc_byte(void)
{
  byte bOpCode = sbc_byte;
  SBC(read_mem(_PC++));  
}
static void loc_opcode_rst18(void)
{
  byte bOpCode = rst18;
  RST(0x0018);  
}
static void loc_opcode_ret_po(void)
{
  byte bOpCode = ret_po;
  if (!(_F & Pflag)) { iCycleCount += cc_ex[bOpCode]; RET } else { iWSAdjust++; } ;  
}
static void loc_opcode_pop_hl(void)
{
  byte bOpCode = pop_hl;
  POP(HL);  
}
static void loc_opcode_jp_po(void)
{
  byte bOpCode = jp_po;
  if (!(_F & Pflag)) { JP } else { _PC += 2; };  
}
static void loc_opcode_ex_msp_hl(void)
{
  byte bOpCode = ex_msp_hl;
  EX_SP(HL); iWSAdjust++;  
}
static void loc_opcode_call_po(void)
{
  byte bOpCode = call_po;
  if (!(_F & Pflag)) { iCycleCount += cc_ex[bOpCode]; CALL } else { _PC += 2; }  
}
static void loc_opcode_push_hl(void)
{
  byte bOpCode = push_hl;
  PUSH(HL);  
}
static void loc_opcode_and_byte(void)
{
  byte bOpCode = and_byte;
  AND(read_mem(_PC++));  
}
static void loc_opcode_rst20(void)
{
  byte bOpCode = rst20;
  RST(0x0020);  
}
static void loc_opcode_ret_pe(void)
{
  byte bOpCode = ret_pe;
  if (_F & Pflag) { iCycleCount += cc_ex[bOpCode]; RET } else { iWSAdjust++; } ;  
}
static void loc_opcode_ld_pc_hl(void)
{
  byte bOpCode = ld_pc_hl;
  _PC = _HL;  
}
static void loc_opcode_jp_pe(void)
{
  byte bOpCode = jp_pe;
  if (_F & Pflag) { JP } else { _PC += 2; };  
}
static void loc_opcode_ex_de_hl(void)
{
  byte bOpCode = ex_de_hl;
  EX(z80.DE, z80.HL);  
}
static void loc_opcode_call_pe(void)
{
  byte bOpCode = call_pe;
  if (_F & Pflag) { iCycleCount += cc_ex[bOpCode]; CALL } else { _PC += 2; }  
}
static void loc_opcode_pfx_ed(void)
{
  byte bOpCode = pfx_ed;
  z80_pfx_ed();  
}
static void loc_opcode_xor_byte(void)
{
  byte bOpCode = xor_byte;
  XOR(read_mem(_PC++));  
}
static void loc_opcode_rst28(void)
{
  byte bOpCode = rst28;
  RST(0x0028);  
}
static void loc_opcode_ret_p(void)
{
  byte bOpCode = ret_p;
  if (!(_F & Sflag)) { iCycleCount += cc_ex[bOpCode]; RET } else { iWSAdjust++; } ;  
}
static void loc_opcode_pop_af(void)
{
  byte bOpCode = pop_af;
  POP(AF);  
}
static void loc_opcode_jp_p(void)
{
  byte bOpCode = jp_p;
  if (!(_F & Sflag)) { JP } else { _PC += 2; };  
}
static void loc_opcode_di(void)
{
  byte bOpCode = di;
  _IFF1 = _IFF2 = 0; z80.EI_issued = 0;  
}
static void loc_opcode_call_p(void)
{
  byte bOpCode = call_p;
  if (!(_F & Sflag)) { iCycleCount += cc_ex[bOpCode]; CALL } else { _PC += 2; }  
}
static void loc_opcode_push_af(void)
{
  byte bOpCode = push_af;
  PUSH(AF);  
}
static void loc_opcode_or_byte(void)
{
  byte bOpCode = or_byte;
  OR(read_mem(_PC++));  
}
static void loc_opcode_rst30(void)
{
  byte bOpCode = rst30;
  RST(0x0030);  
}
static void loc_opcode_ret_m(void)
{
  byte bOpCode = ret_m;
  if (_F & Sflag) { iCycleCount += cc_ex[bOpCode]; RET } else { iWSAdjust++; } ;  
}
static void loc_opcode_ld_sp_hl(void)
{
  byte bOpCode = ld_sp_hl;
  _SP = _HL; iWSAdjust++;  
}
static void loc_opcode_jp_m(void)
{
  byte bOpCode = jp_m;
  if (_F & Sflag) { JP } else { _PC += 2; };  
}
static void loc_opcode_ei(void)
{
  byte bOpCode = ei;
  z80.EI_issued = 2;  
}
static void loc_opcode_call_m(void)
{
  byte bOpCode = call_m;
  if (_F & Sflag) { iCycleCount += cc_ex[bOpCode]; CALL } else { _PC += 2; }  
}
static void loc_opcode_pfx_fd(void)
{
  byte bOpCode = pfx_fd;
  z80_pfx_fd();  
}
static void loc_opcode_cp_byte(void)
{
  byte bOpCode = cp_byte;
  CP(read_mem(_PC++));  
}
static void loc_opcode_rst38(void)
{
  byte bOpCode = rst38;
  RST(0x0038);  
}
static void (*loc_opcode_func[256])() = 
{
  loc_opcode_nop,
  loc_opcode_ld_bc_word,
  loc_opcode_ld_mbc_a,
  loc_opcode_inc_bc,
  loc_opcode_inc_b,
  loc_opcode_dec_b,
  loc_opcode_ld_b_byte,
  loc_opcode_rlca,
  loc_opcode_ex_af_af,
  loc_opcode_add_hl_bc,
  loc_opcode_ld_a_mbc,
  loc_opcode_dec_bc,
  loc_opcode_inc_c,
  loc_opcode_dec_c,
  loc_opcode_ld_c_byte,
  loc_opcode_rrca,
  loc_opcode_djnz,
  loc_opcode_ld_de_word,
  loc_opcode_ld_mde_a,
  loc_opcode_inc_de,
  loc_opcode_inc_d,
  loc_opcode_dec_d,
  loc_opcode_ld_d_byte,
  loc_opcode_rla,
  loc_opcode_jr,
  loc_opcode_add_hl_de,
  loc_opcode_ld_a_mde,
  loc_opcode_dec_de,
  loc_opcode_inc_e,
  loc_opcode_dec_e,
  loc_opcode_ld_e_byte,
  loc_opcode_rra,
  loc_opcode_jr_nz,
  loc_opcode_ld_hl_word,
  loc_opcode_ld_mword_hl,
  loc_opcode_inc_hl,
  loc_opcode_inc_h,
  loc_opcode_dec_h,
  loc_opcode_ld_h_byte,
  loc_opcode_daa,
  loc_opcode_jr_z,
  loc_opcode_add_hl_hl,
  loc_opcode_ld_hl_mword,
  loc_opcode_dec_hl,
  loc_opcode_inc_l,
  loc_opcode_dec_l,
  loc_opcode_ld_l_byte,
  loc_opcode_cpl,
  loc_opcode_jr_nc,
  loc_opcode_ld_sp_word,
  loc_opcode_ld_mword_a,
  loc_opcode_inc_sp,
  loc_opcode_inc_mhl,
  loc_opcode_dec_mhl,
  loc_opcode_ld_mhl_byte,
  loc_opcode_scf,
  loc_opcode_jr_c,
  loc_opcode_add_hl_sp,
  loc_opcode_ld_a_mword,
  loc_opcode_dec_sp,
  loc_opcode_inc_a,
  loc_opcode_dec_a,
  loc_opcode_ld_a_byte,
  loc_opcode_ccf,
  loc_opcode_ld_b_b,
  loc_opcode_ld_b_c,
  loc_opcode_ld_b_d,
  loc_opcode_ld_b_e,
  loc_opcode_ld_b_h,
  loc_opcode_ld_b_l,
  loc_opcode_ld_b_mhl,
  loc_opcode_ld_b_a,
  loc_opcode_ld_c_b,
  loc_opcode_ld_c_c,
  loc_opcode_ld_c_d,
  loc_opcode_ld_c_e,
  loc_opcode_ld_c_h,
  loc_opcode_ld_c_l,
  loc_opcode_ld_c_mhl,
  loc_opcode_ld_c_a,
  loc_opcode_ld_d_b,
  loc_opcode_ld_d_c,
  loc_opcode_ld_d_d,
  loc_opcode_ld_d_e,
  loc_opcode_ld_d_h,
  loc_opcode_ld_d_l,
  loc_opcode_ld_d_mhl,
  loc_opcode_ld_d_a,
  loc_opcode_ld_e_b,
  loc_opcode_ld_e_c,
  loc_opcode_ld_e_d,
  loc_opcode_ld_e_e,
  loc_opcode_ld_e_h,
  loc_opcode_ld_e_l,
  loc_opcode_ld_e_mhl,
  loc_opcode_ld_e_a,
  loc_opcode_ld_h_b,
  loc_opcode_ld_h_c,
  loc_opcode_ld_h_d,
  loc_opcode_ld_h_e,
  loc_opcode_ld_h_h,
  loc_opcode_ld_h_l,
  loc_opcode_ld_h_mhl,
  loc_opcode_ld_h_a,
  loc_opcode_ld_l_b,
  loc_opcode_ld_l_c,
  loc_opcode_ld_l_d,
  loc_opcode_ld_l_e,
  loc_opcode_ld_l_h,
  loc_opcode_ld_l_l,
  loc_opcode_ld_l_mhl,
  loc_opcode_ld_l_a,
  loc_opcode_ld_mhl_b,
  loc_opcode_ld_mhl_c,
  loc_opcode_ld_mhl_d,
  loc_opcode_ld_mhl_e,
  loc_opcode_ld_mhl_h,
  loc_opcode_ld_mhl_l,
  loc_opcode_halt,
  loc_opcode_ld_mhl_a,
  loc_opcode_ld_a_b,
  loc_opcode_ld_a_c,
  loc_opcode_ld_a_d,
  loc_opcode_ld_a_e,
  loc_opcode_ld_a_h,
  loc_opcode_ld_a_l,
  loc_opcode_ld_a_mhl,
  loc_opcode_ld_a_a,
  loc_opcode_add_b,
  loc_opcode_add_c,
  loc_opcode_add_d,
  loc_opcode_add_e,
  loc_opcode_add_h,
  loc_opcode_add_l,
  loc_opcode_add_mhl,
  loc_opcode_add_a,
  loc_opcode_adc_b,
  loc_opcode_adc_c,
  loc_opcode_adc_d,
  loc_opcode_adc_e,
  loc_opcode_adc_h,
  loc_opcode_adc_l,
  loc_opcode_adc_mhl,
  loc_opcode_adc_a,
  loc_opcode_sub_b,
  loc_opcode_sub_c,
  loc_opcode_sub_d,
  loc_opcode_sub_e,
  loc_opcode_sub_h,
  loc_opcode_sub_l,
  loc_opcode_sub_mhl,
  loc_opcode_sub_a,
  loc_opcode_sbc_b,
  loc_opcode_sbc_c,
  loc_opcode_sbc_d,
  loc_opcode_sbc_e,
  loc_opcode_sbc_h,
  loc_opcode_sbc_l,
  loc_opcode_sbc_mhl,
  loc_opcode_sbc_a,
  loc_opcode_and_b,
  loc_opcode_and_c,
  loc_opcode_and_d,
  loc_opcode_and_e,
  loc_opcode_and_h,
  loc_opcode_and_l,
  loc_opcode_and_mhl,
  loc_opcode_and_a,
  loc_opcode_xor_b,
  loc_opcode_xor_c,
  loc_opcode_xor_d,
  loc_opcode_xor_e,
  loc_opcode_xor_h,
  loc_opcode_xor_l,
  loc_opcode_xor_mhl,
  loc_opcode_xor_a,
  loc_opcode_or_b,
  loc_opcode_or_c,
  loc_opcode_or_d,
  loc_opcode_or_e,
  loc_opcode_or_h,
  loc_opcode_or_l,
  loc_opcode_or_mhl,
  loc_opcode_or_a,
  loc_opcode_cp_b,
  loc_opcode_cp_c,
  loc_opcode_cp_d,
  loc_opcode_cp_e,
  loc_opcode_cp_h,
  loc_opcode_cp_l,
  loc_opcode_cp_mhl,
  loc_opcode_cp_a,
  loc_opcode_ret_nz,
  loc_opcode_pop_bc,
  loc_opcode_jp_nz,
  loc_opcode_jp,
  loc_opcode_call_nz,
  loc_opcode_push_bc,
  loc_opcode_add_byte,
  loc_opcode_rst00,
  loc_opcode_ret_z,
  loc_opcode_ret,
  loc_opcode_jp_z,
  loc_opcode_pfx_cb,
  loc_opcode_call_z,
  loc_opcode_call,
  loc_opcode_adc_byte,
  loc_opcode_rst08,
  loc_opcode_ret_nc,
  loc_opcode_pop_de,
  loc_opcode_jp_nc,
  loc_opcode_outa,
  loc_opcode_call_nc,
  loc_opcode_push_de,
  loc_opcode_sub_byte,
  loc_opcode_rst10,
  loc_opcode_ret_c,
  loc_opcode_exx,
  loc_opcode_jp_c,
  loc_opcode_ina,
  loc_opcode_call_c,
  loc_opcode_pfx_dd,
  loc_opcode_sbc_byte,
  loc_opcode_rst18,
  loc_opcode_ret_po,
  loc_opcode_pop_hl,
  loc_opcode_jp_po,
  loc_opcode_ex_msp_hl,
  loc_opcode_call_po,
  loc_opcode_push_hl,
  loc_opcode_and_byte,
  loc_opcode_rst20,
  loc_opcode_ret_pe,
  loc_opcode_ld_pc_hl,
  loc_opcode_jp_pe,
  loc_opcode_ex_de_hl,
  loc_opcode_call_pe,
  loc_opcode_pfx_ed,
  loc_opcode_xor_byte,
  loc_opcode_rst28,
  loc_opcode_ret_p,
  loc_opcode_pop_af,
  loc_opcode_jp_p,
  loc_opcode_di,
  loc_opcode_call_p,
  loc_opcode_push_af,
  loc_opcode_or_byte,
  loc_opcode_rst30,
  loc_opcode_ret_m,
  loc_opcode_ld_sp_hl,
  loc_opcode_jp_m,
  loc_opcode_ei,
  loc_opcode_call_m,
  loc_opcode_pfx_fd,
  loc_opcode_cp_byte,
  loc_opcode_rst38
};
